package com.ruoyi.project.service;

import com.ruoyi.project.domain.ProjectApplication;
import com.ruoyi.project.domain.vo.ProjectApplicationVo;
import com.ruoyi.project.domain.bo.ProjectApplicationBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 项目申报Service接口
 *
 * @author ruoyi
 * @date 2024-06-14
 */
public interface IProjectApplicationService {

    /**
     * 查询项目申报
     */
    ProjectApplicationVo queryById(Long projectId);

    /**
     * 查询项目申报列表
     */
    TableDataInfo<ProjectApplicationVo> queryPageList(ProjectApplicationBo bo, PageQuery pageQuery);

    /**
     * 查询项目申报列表
     */
    List<ProjectApplicationVo> queryList(ProjectApplicationBo bo);

    /**
     * 新增项目申报
     */
    Boolean insertByBo(ProjectApplicationBo bo);

    /**
     * 修改项目申报
     */
    Boolean updateByBo(ProjectApplicationBo bo);

    /**
     * 校验并批量删除项目申报信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
